package com.kexun.hander;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * Description: mybatisplus实现公共字段自动写入
 *
 * @author lgs
 * @date 2023/05/11
 */
@Component
public class MybatisplusHandler implements MetaObjectHandler {


    @Override
    public void insertFill(MetaObject metaObject) {
        this.setFieldValByName("createTime", new Date(), metaObject);
        this.setFieldValByName("revison", "0", metaObject);
        //TODO 先默认huabei,后续需要改成token认证，然后从token里获取，还有用户信息
        this.setFieldValByName("tenantId", "huabei", metaObject);
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        this.setFieldValByName("updateTime", new Date(), metaObject);
    }
}
