package com.kexun.model.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * Description:公共参数
 *
 * @author lgs
 * @date 2023/06/05
 */
@Data
public class CommonParam implements Serializable {

    /**
     * 姓名
     */
    private String name;
    /**
     * 证件类型代码
     */
    private String idTypeCode;
    /**
     * 被查询者证件类型描述
     */
    private String idTypeDesc;
    /**
     * 被查询者证件号码
     */
    private String idNum;
    /**
     * 报告头信息表id
     */
    private Long headInfId;
    /**
     * 报告编号
     */
    private String rptNo;
    /**
     * 节点是数组时，获取List的名字，key=nodeListName
     */
    private Map<String,String> nodeMap;

}
