package com.kexun.service;

import com.kexun.entity.FieldParamEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 字段参数表 服务类
 * </p>
 *
 * @author lgs
 * @since 2023-11-17
 */
public interface FieldParamService extends IService<FieldParamEntity> {

    /**
     * 根据字段定义编号查询该字段的参数
     * @param fieldNo
     * @return
     */
    List<FieldParamEntity> listByFieldNo(String fieldNo);
}
