package com.kexun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.kexun.entity.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.kexun.entity.PartnerInfo
 */
public interface FieldTemplateMapper extends BaseMapper<FieldTemplateEntity> {

    /**
     * 更新状态
     *
     * @param id     主键
     * @param status 状态
     */
    void updateStatus(@Param("id") Long id, @Param("status") String status);

    List<FieldTemplateEntity> selectAll();

    List<FieldTemplateEntity> selectTemplate(String templateName);

//    List<FieldTemplateEntity> selectAll();
}




