package com.kexun.model;

import lombok.Data;

import java.io.Serializable;

/**
 * Description:request节点内容
 *
 * @author lgs
 * @date 2023/05/10
 */
@Data
public class Request implements Serializable {
    /**
     * id
     */
    private String id;
    /**
     * 业务编号
     */
    private String businessNum;

    /**
     * 客户编号
     */
    private String customerNum;

    /**
     * 客户姓名
     */
    private String customerName;

    /**
     * 证件号码
     */
    private String certificateNum;

    /**
     * 合作方编号
     */
    private String coopBusinessNum;

    /**
     * 合作产品编号
     */
    private String productNum;

    /**
     * 扩展信息
     */
    private String extend;

}
